#### D.13.2.45 fanViaCones

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  fanViaCones(L); L list
  fanViaCones(c1[,...,ck]); c1,...,ck cones

Return:
  fan, creates a fan generated by the cones in L resp c1,...,ck

Example:

    LIB "gfan.lib";
    intmat M[2][2]=1,0,0,1;
    cone c=coneViaPoints(M);
    intmat N[2][2]=1,0,0,-1;
    cone d=coneViaPoints(N);
    fan f=fanViaCones(c,d);
    f;
    ==> _application PolyhedralFan
    ==> _version 2.2
    ==> _type PolyhedralFan
    ==>
    ==> AMBIENT_DIM
    ==> 2
    ==>
    ==> DIM
    ==> 2
    ==>
    ==> LINEALITY_DIM
    ==> 0
    ==>
    ==> RAYS
    ==> 0 -1	# 0
    ==> 0 1	# 1
    ==> 1 0	# 2
    ==>
    ==> N_RAYS
    ==> 3
    ==>
    ==> LINEALITY_SPACE
    ==>
    ==> ORTH_LINEALITY_SPACE
    ==> -1 0	# 0
    ==> 0 -1	# 1
    ==>
    ==> F_VECTOR
    ==> 1 3 2
    ==>
    ==> SIMPLICIAL
    ==> 1
    ==>
    ==> PURE
    ==> 1
    ==>
    ==> CONES
    ==> {}	# Dimension 0
    ==> {0}	# Dimension 1
    ==> {1}
    ==> {2}
    ==> {0 2}	# Dimension 2
    ==> {1 2}
    ==>
    ==> MAXIMAL_CONES
    ==> {0 2}	# Dimension 2
    ==> {1 2}
    ==>
    list L=c,d;
    fan g=fanViaCones(L);
    g;
    ==> _application PolyhedralFan
    ==> _version 2.2
    ==> _type PolyhedralFan
    ==>
    ==> AMBIENT_DIM
    ==> 2
    ==>
    ==> DIM
    ==> 2
    ==>
    ==> LINEALITY_DIM
    ==> 0
    ==>
    ==> RAYS
    ==> 0 -1	# 0
    ==> 0 1	# 1
    ==> 1 0	# 2
    ==>
    ==> N_RAYS
    ==> 3
    ==>
    ==> LINEALITY_SPACE
    ==>
    ==> ORTH_LINEALITY_SPACE
    ==> -1 0	# 0
    ==> 0 -1	# 1
    ==>
    ==> F_VECTOR
    ==> 1 3 2
    ==>
    ==> SIMPLICIAL
    ==> 1
    ==>
    ==> PURE
    ==> 1
    ==>
    ==> CONES
    ==> {}	# Dimension 0
    ==> {0}	# Dimension 1
    ==> {1}
    ==> {2}
    ==> {0 2}	# Dimension 2
    ==> {1 2}
    ==>
    ==> MAXIMAL_CONES
    ==> {0 2}	# Dimension 2
    ==> {1 2}
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.